﻿using Kyubey.Interop;
// ReSharper disable PropertyCanBeMadeInitOnly.Global
// ReSharper disable UnusedAutoPropertyAccessor.Global

namespace Kyubey.Database;

public record Score
{
    public required string Id { get; set; }
    public required User User { get; set; }
    public required JewelryMode GameMode { get; set; }
    public required DateTime Timestamp { get; set; }
    public required uint Level { get; set; }
    public required uint Points { get; set; }
    public required uint Time { get; set; }
    public required uint Jewels { get; set; }
    public required int Class { get; set; }
    // base64'd binary data
    public required string Replay { get; set; }

    public override string ToString()
    {
        var timestampChunk = Timestamp.ToString("dd MMM yyyy HH:mm tt");
        var utcOffset = Timestamp.ToString("zz");
        var formattedTimestamp = $"{timestampChunk} UTC{utcOffset}";
        
        // unsure on if this is actually where class goes but it's the only logical place it could go
        return $"{Id}\n\n{User.RankingName}\n{Points}\n{Class}\n{Level}\n{Jewels}\n{Time}\n{formattedTimestamp}\na\n";
    }
}