﻿using EmbedIO;
using EmbedIO.WebApi;
using Kyubey.Database;

namespace Kyubey;

class Program
{
    static async Task Main(string[] args)
    {
        JewelDbContext.Init();
        var server = new WebServer(e =>
                e.WithUrlPrefix("http://hg.arika.co.jp:8081")
                    .WithMode(HttpListenerMode.EmbedIO))
            .WithWebApi("/JM_test/service", m =>
            {
                m.OnHttpException = (ctx, ex) => ExceptionHandler.EmptyResponse(ctx, (ex as Exception)!);
                m.WithController<ServiceController>();
            })
            .WithWebApi("/api", m =>
            {
                m.OnHttpException = (ctx, ex) => ExceptionHandler.EmptyResponse(ctx, (ex as Exception)!);
                m.WithController<ServerApiController>();
            });
        await server.RunAsync();
    }
}